/* Options: Date: 2026-06-20 21:18:35 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //GlobalNamespace: dtos //AddPropertyAccessors: True //SettersReturnThis: True //AddServiceStackTypes: True //AddResponseStatus: False //AddDescriptionAsComments: True //AddImplicitVersion: IncludeTypes: GetAccountStatus.* //ExcludeTypes: //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.* */ import java.math.*; import java.util.*; import java.io.InputStream; import net.servicestack.client.*; public class dtos { @Route(Path="/account/status", Verbs="GET") @DataContract public static class GetAccountStatus extends BaseRequest implements IReturn { private static Object responseType = GetAccountStatusResponse.class; public Object getResponseType() { return responseType; } } @DataContract public static class GetAccountStatusResponse { /** * The response data */ @DataMember @ApiMember(Description="The response data") public GetAccountStatusData data = null; public GetAccountStatusData getData() { return data; } public GetAccountStatusResponse setData(GetAccountStatusData value) { this.data = value; return this; } } @DataContract public static class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") public String apiUserId = null; /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") public String apiUserKey = null; /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") public String userId = null; public String getApiUserId() { return apiUserId; } public Authentication setApiUserId(String value) { this.apiUserId = value; return this; } public String getApiUserKey() { return apiUserKey; } public Authentication setApiUserKey(String value) { this.apiUserKey = value; return this; } public String getUserId() { return userId; } public Authentication setUserId(String value) { this.userId = value; return this; } } @DataContract public static class BaseRequest implements IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") public Authentication authentication = null; public Authentication getAuthentication() { return authentication; } public BaseRequest setAuthentication(Authentication value) { this.authentication = value; return this; } } public static interface IBaseRequest { public Authentication authentication = null; } public static class GetAccountStatusData extends BaseResponse { /** * The account status information */ @ApiMember(Description="The account status information") public AccountStatus accountStatus = null; public AccountStatus getAccountStatus() { return accountStatus; } public GetAccountStatusData setAccountStatus(AccountStatus value) { this.accountStatus = value; return this; } } public static class BaseResponse implements IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") public ResponseStatus responseStatus = null; public ResponseStatus getResponseStatus() { return responseStatus; } public BaseResponse setResponseStatus(ResponseStatus value) { this.responseStatus = value; return this; } } public static interface IBaseDataResponse { public ResponseStatus responseStatus = null; } public static interface IHasResponseStatus { public ResponseStatus responseStatus = null; } public static class AccountStatus { /** * The account status (e.g. Unpaid, Active, Expired) */ @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)") public String status = null; /** * The account type (e.g. live, developer, demo) */ @ApiMember(Description="The account type (e.g. live, developer, demo)") public String type = null; /** * The account Expiry Date */ @ApiMember(Description="The account Expiry Date") public Date expiryDate = null; /** * The account Expiry Date as a string in ISO 8601 format */ @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format") public String expiryDateUniversal = null; /** * The account balance */ @ApiMember(Description="The account balance") public BigDecimal balance = null; /** * The account search credit balance */ @ApiMember(Description="The account search credit balance") public Long creditBalance = null; /** * The account DBS credit balance */ @ApiMember(Description="The account DBS credit balance") public Integer dbsBasicCreditBalance = null; /** * The list of enabled products for this account */ @ApiMember(Description="The list of enabled products for this account") public ArrayList products = null; /** * The list of enabled capabilities for this account */ @ApiMember(Description="The list of enabled capabilities for this account") public ArrayList capabilities = null; public String getStatus() { return status; } public AccountStatus setStatus(String value) { this.status = value; return this; } public String getType() { return type; } public AccountStatus setType(String value) { this.type = value; return this; } public Date getExpiryDate() { return expiryDate; } public AccountStatus setExpiryDate(Date value) { this.expiryDate = value; return this; } public String getExpiryDateUniversal() { return expiryDateUniversal; } public AccountStatus setExpiryDateUniversal(String value) { this.expiryDateUniversal = value; return this; } public BigDecimal getBalance() { return balance; } public AccountStatus setBalance(BigDecimal value) { this.balance = value; return this; } public Long getCreditBalance() { return creditBalance; } public AccountStatus setCreditBalance(Long value) { this.creditBalance = value; return this; } public Integer getDbsBasicCreditBalance() { return dbsBasicCreditBalance; } public AccountStatus setDbsBasicCreditBalance(Integer value) { this.dbsBasicCreditBalance = value; return this; } public ArrayList getProducts() { return products; } public AccountStatus setProducts(ArrayList value) { this.products = value; return this; } public ArrayList getCapabilities() { return capabilities; } public AccountStatus setCapabilities(ArrayList value) { this.capabilities = value; return this; } } public static class ArrayOfResponseError extends ArrayList { } }